You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 

33 lines
1.3 KiB

FROM node:lts-alpine3.12@sha256:e93f707005c9cc740ed28dc749af30e4cb80c941ad9c13effb4ec07d54af4357
LABEL maintainer="Robert Kaussow <mail@thegeeklab.de>"
LABEL org.opencontainers.image.authors="Robert Kaussow <mail@thegeeklab.de>"
LABEL org.opencontainers.image.title="markdownlint-cli"
LABEL org.opencontainers.image.url="https://gitea.rknet.org/docker/markdownlint-cli"
LABEL org.opencontainers.image.source="https://gitea.rknet.org/docker/markdownlint-cli"
LABEL org.opencontainers.image.documentation="https://gitea.rknet.org/docker/markdownlint-cli"
ARG BUILD_VERSION
# renovate: datasource=npm depName=markdownlint-cli
ENV MARKDOWNLINT_VERSION="${BUILD_VERSION:-0.27.1}"
ENV FORCE_COLOR=true \
NPM_CONFIG_LOGLEVEL=error
COPY overlay/ /
RUN MARKDOWNLINT_VERSION="${MARKDOWNLINT_VERSION##v}" && \
MARKDOWNLINT_MAJOR="${MARKDOWNLINT_VERSION%%.*}" && \
if [ -z "${MARKDOWNLINT_MAJOR//[0-9]}" ] && [ -n "$MARKDOWNLINT_MAJOR" ]; then \
echo "Installing markdownlint-cli version '$MARKDOWNLINT_VERSION' ..." && \
npm install -g markdownlint-cli@"$MARKDOWNLINT_VERSION"; \
else \
echo "Installing latest markdownlint-cli ..." && \
npm install -g markdownlint-cli; \
fi && \
rm -rf /var/cache/apk/* && \
rm -rf /tmp/*
USER root
CMD []
ENTRYPOINT ["/bin/markdownlint-cli"]